<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@10A8C3=63</action>
    </script>
  </cheat>

  <cheat desc="Select 'City' = Cleared Now!"> <comment>Use this cheat only on the World Map Screen! If you are stuck in a world after using this, use the 'Last Stage' cheat to go directly to last boss!</comment>
    <parameter>
      <item value="0x01">China</item>
      <item value="0x02">Russia</item>
      <item value="0x03">Italy</item>
      <item value="0x04">France</item>
      <item value="0x05">Egypt</item>
      <item value="0x06">Australia</item>
      <item value="0x07">Brazil</item>
      <item value="0x08">Mexico</item>
      <item value="0x09">New York</item>
      <item value="0x10">Japan</item>
    </parameter>
    <script state="change">
      <action condition="(param==01)">maincpu.pb@101930=01</action>
      <action condition="(param==02)">maincpu.pb@101931=01</action>
      <action condition="(param==03)">maincpu.pb@101932=01</action>
      <action condition="(param==04)">maincpu.pb@101933=01</action>
      <action condition="(param==05)">maincpu.pb@101934=01</action>
      <action condition="(param==06)">maincpu.pb@101935=01</action>
      <action condition="(param==07)">maincpu.pb@101936=01</action>
      <action condition="(param==08)">maincpu.pb@101937=01</action>
      <action condition="(param==09)">maincpu.pb@101938=01</action>
      <action condition="(param==10)">maincpu.pb@101939=01</action>
    </script>
  </cheat>

  <cheat desc="Set 'City' = Not Cleared Now!"> <comment>Use this cheat only on the World Map Screen! If you are stuck in a world after using this, use the 'Last Stage' cheat to go directly to last boss!</comment>
    <parameter>
      <item value="0x01">China</item>
      <item value="0x02">Russia</item>
      <item value="0x03">Italy</item>
      <item value="0x04">France</item>
      <item value="0x05">Egypt</item>
      <item value="0x06">Australia</item>
      <item value="0x07">Brazil</item>
      <item value="0x08">Mexico</item>
      <item value="0x09">New York</item>
      <item value="0x10">Japan</item>
    </parameter>
    <script state="change">
      <action condition="(param==01)">maincpu.pb@101930=00</action>
      <action condition="(param==02)">maincpu.pb@101931=00</action>
      <action condition="(param==03)">maincpu.pb@101932=00</action>
      <action condition="(param==04)">maincpu.pb@101933=00</action>
      <action condition="(param==05)">maincpu.pb@101934=00</action>
      <action condition="(param==06)">maincpu.pb@101935=00</action>
      <action condition="(param==07)">maincpu.pb@101936=00</action>
      <action condition="(param==08)">maincpu.pb@101937=00</action>
      <action condition="(param==09)">maincpu.pb@101938=00</action>
      <action condition="(param==10)">maincpu.pb@101939=00</action>
    </script>
  </cheat>

  <cheat desc="Next Stage is Last Stage Now!">
    <script state="on">
      <action>maincpu.pb@1015E0=32</action>
      <action>maincpu.pb@10186B=0A</action>
      <action>maincpu.pb@102CC3=01</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@101C7C=0A</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1">
    <script state="run">
      <action>maincpu.pb@100993=02</action>
    </script>
  </cheat>

  <cheat desc="Always have Fast Shoe PL1">
    <script state="run">
      <action>maincpu.pb@100D6D=01</action>
    </script>
  </cheat>

  <cheat desc="Always have Yo-Yo PL1">
    <script state="run">
      <action>maincpu.pb@1019F7=01</action>
    </script>
  </cheat>

  <cheat desc="Always enable Super Ball PL1"> <comment>A ball that kills many enemies at once</comment>
    <script state="run">
      <action>maincpu.pb@10131E=01</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@101C70=0A</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2">
    <script state="run">
      <action>maincpu.pb@100994=02</action>
    </script>
  </cheat>

  <cheat desc="Always have Fast Shoe PL2">
    <script state="run">
      <action>maincpu.pb@101313=01</action>
    </script>
  </cheat>

  <cheat desc="Always have Yo-Yo PL2">
    <script state="run">
      <action>maincpu.pb@100D6A=01</action>
    </script>
  </cheat>

  <cheat desc="Always enable Super Ball PL2"> <comment>A ball that kills many enemies at once</comment>
    <script state="run">
      <action>maincpu.pb@10098A=01</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
